Showing results for 
Search instead for 
Did you mean: 

Fail to add balloon on PartDocument

Valued Contributor
Valued Contributor




I try try to add a ballon on a feature on a partdocument.

I catch the mouse click event (I set the filter on seLocateFeature)

When I add the balloon the function fail : nothing is created. Do you know where

is my mistake ?


Private Sub objMouse_MouseClick(ByVal sButton As Short, ByVal sShift As Short,

ByVal dX As Double, ByVal dY As Double, ByVal dZ As Double, ByVal pWindowDispatch

As Object, ByVal lKeyPointType As Integer, ByVal pGraphicDispatch As Object) Handles



Dim pmi As SolidEdgeFrameworkSupport.PMI

Dim b As SolidEdgeFrameworkSupport.Balloon

Dim bs As SolidEdgeFrameworkSupport.Balloons


pmi = docCour.PMI

bs = pmi.Balloons

' I try several method, b is always = nothing / no exception catch

b = bs.AddByTerminator(TerminatorObject:=pGraphicDispa tch, x1:=0.75,

y1:=0.05, z1:=0, keyPoint1:=True)

b = bs.AddByTerminator(TerminatorObject:=pGraphicDispa tch, x1:=0.75,

y1:=0.015, z1:=0, keyPoint1:=False)

b = bs.Add(0.1, 0.2, 0.1)

Catch ex As Exception

End Try

End Sub






Posted by: nicolas garet
Post date: 12/14/2009 9:25:53 AM